#####################################################################################################
# Build plugin script: slackwareaarch64-<ver>/source/l/glibc/buildplugins/Widevine/Widevine.conf
# Author.............: Minime_2003 on LQ
# Reference..........: https://www.linuxquestions.org/questions/showthread.php?p=6498108#post6498108
# Upstream repository: https://github.com/mostman/Slackbuilds/tree/Slackwareaarch64-current/glibc
#####################################################################################################

# To cause this script to load from the glibc build process:
# cd source/l/glibc
# $ BUILD_PLUGINS=Widevine ./arm/build
#
# Note: other build plugins can be specified in the same 'BUILD_PLUGINS' variable, space separated.
# e.g.
# $ BUILD_PLUGINS="Widevine rk3399 raspberrypi" ./arm/build

# Note: these don't apply to glibc 2.39 but are included for demonstration purposes.
function Widevine_srcpatch() {

  #
  #-------- Patches fixes Widevine (CDM) in ARM aarch64 -------#
  #
  # Fix TLS for Widevine
  auto_apply_patch $PORTCWD/buildplugins/Widevine/patches/glibc-do_not_check-GLIBC_ABI_DT_RELR-chrome-tls-libwidevine.patch.gz

}

